package game.locations.phoneLock;

import base.GameSprite;

import game.locations.Location;
import game.locations.Interactive;

class PhoneLockTable extends Location {
  var messageLayer: GameSprite; 
  var messageShown: Bool = false;
  var paper: GameSprite;

  public function new() {
    super();

    id = 'phoneLock/table';

    addBmpLayer('bg');

    var fax = new Interactive([
      'Принтер.. или факс.. Или что-то вроде того',
      'Похоже на факс... или принетр',
      'Какое-то печатающее устройство.',
      'Хм. Кажется это факс. Видел что-то подобное у нас в офисе'
      ]);
    fax.initBitmap(bmpPath('fax'));
    fax.x = 62;
    fax.y = 72;
    addChild(fax);

    messageLayer = new GameSprite();

    paper = new GameSprite(bmpPath('message'));
    paper.x = 118;
    paper.y = 24;
    paper.visible = false;
    messageLayer.addChild(paper);

    var messageMask = new GameSprite(bmpPath('mask'));
    messageLayer.mask = messageMask;
    messageLayer.addChild(messageMask);

    addChild(messageLayer);

    rightLocation = game.locations.phoneLock.PhoneLockTv;
    downLocation = game.locations.phoneLock.PhoneLockRoom;
  }

  override function enter() {
  }

  public function showMesaage() {
    if(!messageShown) {
      paper.visible = true;
      messageShown = true;
    }
  }
} 
